document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Animate skill bars on scroll
  const skillSection = document.querySelector('.skills');
  const skillLevels = document.querySelectorAll('.skill-level');
  
  const animateSkills = () => {
    const sectionPos = skillSection.getBoundingClientRect().top;
    const screenPos = window.innerHeight / 1.3;
    
    if(sectionPos < screenPos) {
      skillLevels.forEach(level => {
        level.style.width = level.parentElement.getAttribute('data-level') + '%';
      });
    }
  };

  // Mobile menu toggle
  const nav = document.querySelector('nav');
  const header = document.querySelector('.header');
  
  window.addEventListener('scroll', () => {
    if (window.scrollY > 100) {
      header.style.background = 'rgba(255, 255, 255, 0.98)';
    } else {
      header.style.background = 'rgba(255, 255, 255, 0.95)';
    }
    animateSkills();
  });

  // Initial call for skill animations
  animateSkills();
});
